Some WFS data not displayed from LuciadLightspeed WFS server

2015-08-24 08:39 AM - Robin Houtmeyers

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21316

Description

The WFS data offered by the OGC-compliant LuciadLightspeed WFS server (1.0.0 & 1.1.0) cannot be loaded in QGIS, while it can be

opened in clients such as Gaia, ArcMap, Mapinfo, etc. The exact reason is still unknown.

QGIS can retrieve the capabilities; however, when a dataset is selected to be added, an error dialog pops up on top of the map stating

that this is not a valid layer and that it cannot be added. Within the server, I can see that the latest request is a DescribeFeatureType

request. The response seems ok to me (GML 2 application schema, since WFS 1.0.0 is used).

Server that can be used to reproduce the issue: 

http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?REQUEST=GetCapabilities&#38;SERVICE=WFS

The tests have been done with QGIS 2.8.2.

History

#1 - 2015-10-20 12:38 AM - Richard Duivenvoorde

- File wfsok.png added

- Status changed from Open to Feedback

Hi, I cannot reproduce your problem. Here both in Master and 2.8.3 I have valid response (see screenshot wfsok.png)

Please retest and/or provide more information about your setup

#2 - 2015-10-21 01:06 AM - Robin Houtmeyers

Thank you for the feedback. I retested the service, and it seems that it only works for the counties layer (which is shown in your screenshot wfsok.png). The

other 2 datasets, rivers and cities, are not loaded => an error dialog pops up on top of the map stating that this is not a valid layer and that it cannot be

added. Any idea what could be wrong here?

#3 - 2015-10-26 07:17 AM - Richard Duivenvoorde

Mmm, wanted to try to test again and view the different request/responses.

Service is not available anymore?

Close this issue then?
#4 - 2015-10-26 07:23 AM - Robin Houtmeyers

Hi Richard, the service should be online: http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?

Are you not able to access it?

#5 - 2015-10-26 07:25 AM - Richard Duivenvoorde

Nope, was not available to me (anymore): but now it is... again

#6 - 2015-10-26 07:32 AM - Richard Duivenvoorde

checking the requests fired by QGIS, but requesting them with the browser:

http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=counti

s&#38;SRSNAME=urn:ogc:def:crs:OGC:1.3:CRS84

is doing ok, and retrieving valid GML

But using the same for the rivers just returns nothing:

http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=rivers

#38;SRSNAME=urn:ogc:def:crs:OGC:1.3:CRS84

your server returns an empty document for that layers?

also with wfs caching disabled (which adds a bbox filter to the requests):

http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=rivers

#38;SRSNAME=urn:ogc:def:crs:OGC:1.3:CRS84&#38;BBOX=-111.9112386659571996,43.62076940599239805,-110.99868056334943844,44.74812554152391186

54152391186

#7 - 2015-10-26 07:46 AM - Robin Houtmeyers

Hmm, there seems to be something wrong with the 1.0.0 content response for the rivers; I was previously testing with 1.1.0. Probably the other clients that

I mentioned were using that version instead. I guess this issue can be closed. Sorry for this inconvience.

#8 - 2015-10-26 07:49 AM - Richard Duivenvoorde

- Status changed from Feedback to Closed

no worries. Thanks for testing QGIS :-)

#9 - 2016-01-05 05:26 AM - Robin Houtmeyers

- Status changed from Closed to Reopened

Hi, I am reopening this issue since the QGIS WFS requests mentioned in #6 work ok now (this

issue was due to a misconfiguration of a data path), but I can still only open the counties feature type in QGIS (tested with Lyon). For the rivers and cities
feature types, I get the statement that it is not a valid layer.

Any ideas?

#10 - 2016-01-06 05:19 AM - Giovanni Manghi

- Category changed from Browser to Web Services clients/WFS

- Affected QGIS version changed from 2.8.2 to master

Robin Houtmeyers wrote:

Hi, I am reopening this issue since the QGIS WFS requests mentioned in #6 work ok now (this

issue was due to a misconfiguration of a data path), but I can still only open the counties feature type in QGIS (tested with Lyon). For the rivers and

cities feature types, I get the statement that it is not a valid layer.

Any ideas?

same on master

#11 - 2017-01-17 06:35 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

The described server/service is not available anymore, can a new url be provided? thanks.

#12 - 2017-01-18 02:30 AM - Robin Houtmeyers

The server is back online; I just verified the requests.

#13 - 2017-01-18 05:01 AM - Giovanni Manghi

Tested with the latest master.

QGIS log reports

2017-01-18T13:04:43    1    Layer extent reported by the server is not correct. You may need to zoom on layer and then zoom out to see all features

that seems a server issue, and if zooming out enough the feature do actually show.

Can we close this?

#14 - 2017-01-18 05:03 AM - Giovanni Manghi

Giovanni Manghi wrote:

Tested with the latest master.
QGIS log reports

2017-01-18T13:04:43    1    Layer extent reported by the server is not correct. You may need to zoom on layer and then zoom out to see all features

that seems a server issue, and if zooming out enough the feature do actually show.

Can we close this?

the "cities" layer does not load and gives an error, but from the log it seems again a server issue.

#15 - 2017-01-18 05:09 AM - Robin Houtmeyers

What kind of request was tested? Could you share this log? I just tried  

http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=cities&

38;SRSNAME=urn:ogc:def:crs:OGC:1.3:CRS84 but that seems to work ok.

#16 - 2017-01-18 05:11 AM - Robin Houtmeyers

About the layer extent: this seems ok to me at first sight. Any additional info on why it is not correct? Are you also referring to the extent from the

capabilities?

#17 - 2017-01-18 06:36 AM - Giovanni Manghi

Robin Houtmeyers wrote:

About the layer extent: this seems ok to me at first sight. Any additional info on why it is not correct? Are you also referring to the extent from the

capabilities?

I'm reporting what I see in QGIS (canvas and log), using such server as a normal user would do.

#18 - 2017-01-18 07:23 AM - Robin Houtmeyers

I investigated this a bit further for the cities layer. Based on the server logs. the only incoming request I got is a DescribeFeatureType: 

http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?SERVICE=WFS&#38;REQUEST=DescribeFeatureType&#38;VERSION=1.1.0&#38;TYPENA

E=cities

This gives the expected XML Schema for the cities layer, but it seems to trigger an issue client-side.

#19 - 2017-03-06 10:13 AM - Giovanni Manghi

Robin Houtmeyers wrote:

I investigated this a bit further for the cities layer. Based on the server logs. the only incoming request I got is a DescribeFeatureType: 

http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?SERVICE=WFS&#38;REQUEST=DescribeFeatureType&#38;VERSION=1.1.0&#38;TYP

NAME=cities

This gives the expected XML Schema for the cities layer, but it seems to trigger an issue client-side.
the endpoint is again off-line, so I can't do further tests.

#20 - 2017-03-07 12:36 AM - Robin Houtmeyers

The server should be online again - I'll make sure to monitor its status the upcoming month and keep it online.

#21 - 2017-04-30 10:30 AM - Giovanni Manghi

- Description updated

- Subject changed from WFS data not displayed to Some WFS data not displayed from LuciadLightspeed WFS server

- Status changed from Feedback to Open

Robin Houtmeyers wrote:

The server should be online again - I'll make sure to monitor its status the upcoming month and keep it online.

thanks.

I still see more of the same. Can add polygon and line layer, not the point one.

Seeing messages like "Layer extent reported by the server is not correct. You may need to zoom on layer and then zoom out to see all features that seems

a server issue, and if zooming out enough the feature do actually show." and for the point layer "2017-04-30T09:28:00    1    Analysis of

DescribeFeatureType response failed for url  typename='cities' url='http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?' version='auto' table=""

sql=: Cannot find element 'cities'".

It seems to me a problem in the server configuration (and is known that qgis ogc clients are usually more picky/strict than others), but anyway I leave it

open so someone else can have a look at it.

#22 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#23 - 2017-11-13 06:39 PM - Even Rouault

- Status changed from Open to Feedback

http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?REQUEST=GetCapabilities&#38;SERVICE=WFS currently returns a "HTTP 500 - There seems

to be an issue to retrieve a license. Please refer to the console or log files for more information."

javax.servlet.ServletException: There seems to be an issue to retrieve a license. Please refer to the console or log files for more information.

    com.luciad.ogc.wfs.TLcdWFSServlet.init(LuciadLightspeed:62)

    org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:472)

    org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:79)

    org.apache.catalina.valves.AbstractAccessLogValve.invoke(AbstractAccessLogValve.java:620)

    org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:349)

    org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:784)

    org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66)

    org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:802)

    org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1410)

    org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)

    java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
    java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    java.lang.Thread.run(Thread.java:745)

#24 - 2017-11-14 03:48 PM - Robin Houtmeyers

- Status changed from Feedback to Open

Services is back online; I renewed the license.

#25 - 2017-11-17 11:17 AM - Richard Duivenvoorde

Hi Robin,

checking this: the describeFeature response for:

http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?SERVICE=WFS&#38;REQUEST=DescribeFeatureType&#38;VERSION=1.0.0&#38;TYPENA

E=rivers

contains a tns:rivers

<xsd:complexType name="riversPropertyType"><xsd:sequence><xsd:element ref="tns:rivers" minOccurs="0"/></xsd:sequence><xsd:attributeGroup

ref="xlink:simpleAttrs"/></xsd:complexType>

But requesting cities:

http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?SERVICE=WFS&#38;REQUEST=DescribeFeatureType&#38;VERSION=1.1.0&#38;TYPENA

E=cities

Does NOT show any notion of 'cities'...

And QGIS tells me (in the Log panels): Analysis of DescribeFeatureType response failed for url  restrictToRequestBBOX='1' srsname='OGC:CRS84'

typename='cities' url='http://demo.luciad.com:8080/LuciadLightspeedOGC/wfs?' version='1.0.0' table="" sql=: Cannot find element 'cities'

So this is either a configuration problem, or a server bug?

Or (I'm not so much into describeFeatureType requests) is it really a QGIS issue?

No offence, but apparently this is a commercial server provider (as you are talking about licenses)? 

Maybe you ask them to let them test their product against other clients (wms/wfs versions)? 

And/or use the  ogc_cite test suite: http://test.qgis.org/ogc_cite/latest_wms_1_3_0.html

#26 - 2017-11-17 12:10 PM - Robin Houtmeyers

Hi Richard,

thank you for your analysis. This is indeed commercial software provided by Luciad; I am an employee of this company and previously logged this issue to

enhance the OGC WFS interoperability with QGIS. We are familiar with the CITE test suites and do run them on our software.

Based on your tests, it seems we have found a potential cause of the issue => it seems QGIS expects that the XML Schema returned by a

DescribeFeatureType response also contains the typename string. In my understanding, the typename is just an identifier for a dataset, independent from
the the actual data encoding (which is described by the XML Schema returned by the DescribeFeatureType). In the end, the data returned by GetFeature

should be valid according to the XML Schema returned by the corresponding DescribeFeatureType - which is the case with the above request. Whether

the typename also occurs in the XML or not should not matter - at least, that is my understanding from the OGC WFS standard.

#27 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

wfsok.png 349 KB 2015-10-19 Richard Duivenvoorde
